/**
 * PersonNamePartAffixTypes2.java
 *
 * File generated from the medication2::PersonNamePartAffixTypes2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration PersonNamePartAffixTypes2.
 *
 * 
 */

@XmlType(name = "PersonNamePartAffixTypes")
@XmlEnum
@XmlRootElement(name = "PersonNamePartAffixTypes2")
public enum PersonNamePartAffixTypes2 {
	@XmlEnumValue("AC")
	AC("AC"),
	@XmlEnumValue("NB")
	NB("NB"),
	@XmlEnumValue("PR")
	PR("PR"),
	@XmlEnumValue("VV")
	VV("VV");
	
	private final String value;

    PersonNamePartAffixTypes2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static PersonNamePartAffixTypes2 fromValue(String v) {
        for (PersonNamePartAffixTypes2 c: PersonNamePartAffixTypes2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
